import React from "react";
import logo from "./logo.svg";
import "./App.css";
import { Button, ConfigProvider, Layout, theme } from "antd";
import DashboardLayout from "./core/components/DashboardLayout";
import { darkMode } from "./core/store/appSlice";
import { useSelector } from "react-redux";

const { defaultAlgorithm, darkAlgorithm } = theme;

function App() {
  const isDarkMode = useSelector(darkMode)

  console.info(
    "\n %c LMS %c v0.1.0 %c \n",
    "background-color: #555;color: #fff;padding: 3px 2px 3px 3px;border-radius: 3px 0 0 3px;font-family: DejaVu Sans,Verdana,Geneva,sans-serif;text-shadow: 0 1px 0 rgba(1, 1, 1, 0.3)",
    "background-color: #bc81e0;background-image: linear-gradient(90deg, #e67e22, #9b59b6);color: #fff;padding: 3px 3px 3px 2px;border-radius: 0 3px 3px 0;font-family: DejaVu Sans,Verdana,Geneva,sans-serif;text-shadow: 0 1px 0 rgba(1, 1, 1, 0.3)",
    "background-color: transparent"
  );

  return (
    <Layout style={{ minHeight: "100vh" }}>
      <ConfigProvider theme={{
        algorithm: isDarkMode ? darkAlgorithm : defaultAlgorithm,
      }}>
      <DashboardLayout />
      </ConfigProvider>
    </Layout>
  );
}

export default App;
