import { createSlice } from "@reduxjs/toolkit";

export const appSlice = createSlice({
  name: "app",
  initialState: {
    darkMode: false,
  },
  reducers: {
    setDarkMode: (state, action) => {
      state.darkMode = action.payload;
    },
  },
  selectors: {
    darkMode: (state) => state.darkMode,
  },
})

export const { setDarkMode } = appSlice.actions;

export const { darkMode } = appSlice.selectors;